'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toBeInTheDocument = toBeInTheDocument;

var _jestMatcherUtils = require('jest-matcher-utils');

var _utils = require('./utils');

function toBeInTheDocument(element) {
  var _this = this;

  (0, _utils.checkHtmlElement)(element, toBeInTheDocument, this);
  (0, _utils.checkDocumentKey)(global.document, 'documentElement', toBeInTheDocument);

  return {
    pass: document.documentElement.contains(element),
    message: function message() {
      return [(0, _jestMatcherUtils.matcherHint)(`${_this.isNot ? '.not' : ''}.toBeInTheDocument`, 'element', ''), '', 'Received:', `  ${(0, _jestMatcherUtils.printReceived)(element.hasChildNodes() ? element.cloneNode(false) : element)}`].join('\n');
    }
  };
}