'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.toContainElement = toContainElement;

var _jestMatcherUtils = require('jest-matcher-utils');

var _utils = require('./utils');

function toContainElement(container, element) {
  var _this = this;

  (0, _utils.checkHtmlElement)(container, toContainElement, this);
  (0, _utils.checkHtmlElement)(element, toContainElement, this);

  return {
    pass: container.contains(element),
    message: function message() {
      return [(0, _jestMatcherUtils.matcherHint)(`${_this.isNot ? '.not' : ''}.toContainElement`, 'element', ''), '', 'Received:', `  ${(0, _jestMatcherUtils.printReceived)(container.cloneNode(false))}`].join('\n');
    }
  };
}